package cn.com.qmth.examcloud.core.questions.service.bean.dto;

import java.util.Map;

/**
 * @author weiwenhai
 * @date 2018.5.3
 * @company qmth
 * @describle 试题分布
 */
public class QuestionDistributeDto {

    private String coursePropertyName;//属性名称

    private String firstPropertyName;//一级属性

    private String secondPropertyName;//二级属性

    /**
     * key: 题型-公开度-难度   例：单选题-公开-难（101）
     */
    private Map<Long, Long> map;

    public QuestionDistributeDto() {

    }

    public QuestionDistributeDto(String coursePropertyName, String firstPropertyName, String secondPropertyName, Map<Long, Long> map) {
        this.coursePropertyName = coursePropertyName;
        this.firstPropertyName = firstPropertyName;
        this.secondPropertyName = secondPropertyName;
        this.map = map;
    }

    public String getCoursePropertyName() {
        return coursePropertyName;
    }

    public void setCoursePropertyName(String coursePropertyName) {
        this.coursePropertyName = coursePropertyName;
    }

    public String getFirstPropertyName() {
        return firstPropertyName;
    }

    public void setFirstPropertyName(String firstPropertyName) {
        this.firstPropertyName = firstPropertyName;
    }

    public String getSecondPropertyName() {
        return secondPropertyName;
    }

    public void setSecondPropertyName(String secondPropertyName) {
        this.secondPropertyName = secondPropertyName;
    }

    public Map<Long, Long> getMap() {
        return map;
    }

    public void setMap(Map<Long, Long> map) {
        this.map = map;
    }

}
